Print Delivery Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/output/print \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/output/print"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/output/print', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Delivery Note
Print Delivery Note
Prints a delivery note.
POST
/
v2
/
delivery-notes
/
{deliveryNoteId}
/
output
/
print
Print Delivery Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the sales order for which the print should start.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
Gets the unique identifier for the form (Formular) entity.
Represents a unique key for identifying a form (Formular) entity within the system.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The target printer to print. The printer is mandatory if no user with own printer configuration is available.
Response
The Printjob is created
Was this page helpful?